Skip to main content
GET
/
v2
/
studio
/
deployment
/
by-name-and-fid
Get deployment info
curl --request GET \
  --url https://api.neynar.com/v2/studio/deployment/by-name-and-fid \
  --header 'x-api-key: <api-key>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "generated_app_exists": true,
  "generated_app_serving": true,
  "id": "<string>",
  "is_ready": true,
  "name": "<string>",
  "namespace": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "display_name": "<string>",
  "github_url": "<string>",
  "has_database": true,
  "production_app_status": {
    "created_at": 123,
    "deployment_state": "<string>",
    "deployment_url": "<string>",
    "project_id": "<string>",
    "target": "<string>"
  },
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neynar.com/llms.txt

Use this file to discover all available pages before exploring further.

The Miniapp Studio API is an allowlisted API and not publicly available. Contact the Neynar team for more information.

Node.js SDK

šŸ”— SDK Method: getDeployment Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

deployment_id
string<uuid>

Deployment ID (UUID). Required if name not provided.

fid
integer<int32>

Farcaster ID of the user; if not provided, namespace must be provided

Required range: x >= 0
Example:

3

name
string

Kubernetes deployment name. Required if deployment_id not provided.

namespace
string

Optional Kubernetes namespace. If not provided, will query for the active namespace for the given FID.

Response

Success

created_at
string<date-time>
required

Creation timestamp

deleted_at
string<date-time> | null
required

Deletion timestamp

generated_app_exists
boolean
required

Whether a generated app exists in the deployment

generated_app_serving
boolean
required

Whether the generated app is currently serving

id
string
required

Deployment ID

is_ready
boolean
required

Deployment is ready to serve app and accept prompts

name
string
required

Kubernetes deployment name

namespace
string
required

Kubernetes namespace

updated_at
string<date-time> | null
required

Last update timestamp

dev_server_state
enum<string>

Dev server process state: stopped, starting, running, crashed, or hung

Available options:
stopped,
starting,
running,
crashed,
hung
display_name
string

Display name for the project

github_url
string

GitHub repository SSH URL

has_database
boolean

Whether the deployment has a Neon database configured

production_app_status
object

Production app deployment status from Vercel

url
string<uri>

Public URL for the deployment